Loading...
Searching...
No Matches
RDKit::CIPLabeler::Rule4c Class Reference

`#include <Rule4c.h>`

Inheritance diagram for RDKit::CIPLabeler::Rule4c:

## Public Member Functions

| Rule4c ()
int | compare (const Edge *a, const Edge *b) const override
Public Member Functions inherited from RDKit::CIPLabeler::SequenceRule
| SequenceRule ()
virtual | ~SequenceRule ()
Descriptor | getBondLabel (const Edge *edge) const
int | getComparision (const Edge *a, const Edge *b) const
virtual int | getComparision (const Edge *a, const Edge *b, bool deep) const
virtual const Sort * | getSorter () const
int | recursiveCompare (const Edge *a, const Edge *b) const
void | setSorter (const Sort *sorter)
Priority | sort (const Node *node, std::vector< Edge * > &edges, bool deep) const
Priority | sort (const Node *node, std::vector< Edge * > &edges) const

## Additional Inherited Members

Protected Attributes inherited from RDKit::CIPLabeler::SequenceRule
std::unique_ptr< const Sort > | dp_sorter = nullptr

## Detailed Description

Sequence Rule 4c ‘r’ precedes ‘s’ and ‘m’ precedes ‘p’

Definition at line 23 of file Rule4c.h.

## Constructor & Destructor Documentation

## Rule4c()

RDKit::CIPLabeler::Rule4c::Rule4c | ( |  | ) |

## Member Function Documentation

## compare()

int RDKit::CIPLabeler::Rule4c::compare | ( | const Edge * | a,
|  | const Edge * | b
| ) |  | const

override virtual

Implements RDKit::CIPLabeler::SequenceRule.

The documentation for this class was generated from the following file:

- Rule4c.h